﻿using SqlSugar;

namespace Falcon.SugarApi.DatabaseManager
{
    /// <summary>
    /// 数据库定义
    /// </summary>
    public class DatabaseDefines
    {
        /// <summary>
        /// 数据库名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 是否记录数据库log
        /// </summary>
        public bool UseLogger { get; set; }
        /// <summary>
        /// 数据库类型
        /// </summary>
        public string DbType { get; set; }
        /// <summary>
        /// 链接字符串
        /// </summary>
        public string ConnectionString { get; set; }
        /// <summary>
        /// 是否支持字段加密
        /// </summary>
        public bool IsEnableEncrypy { get; set; } = true;
    }

}
