﻿using Falcon.SugarApi.DatabaseManager;
using SqlSugar;

namespace Falcon.SugarApi.DatabaseStoredProcedure
{
    /// <summary>
    /// 运行存储过程接口扩展
    /// </summary>
    public static class IExceteStoredProceduresExtend
    {
        /// <summary>
        /// 获取存储过程参数
        /// </summary>
        /// <typeparam name="T">参数类型</typeparam>
        /// <param name="db">数据库上下文</param>
        /// <param name="data">参数</param>
        /// <returns></returns>
        public static SugarParameter[] GetParameters<T>(this DbContextBase db,T data) {
            return db.Ado.GetParameters(data);
        }
    }
}
