﻿using System.ComponentModel.DataAnnotations;

namespace Falcon.SugarApi.Plugin.Client
{
    /// <summary>
    /// 插件配置基类
    /// </summary>
    public abstract class PluginOptions
    {
        /// <summary>
        /// 插件名称
        /// </summary>
        [Required]
        public string PluginName { get; set; }
        /// <summary>
        /// 插件Swagger配置
        /// </summary>
        public SwaggerDefines? swagger { get; set; }
    }
}
