﻿using Microsoft.AspNetCore.Builder;

namespace Falcon.SugarApi.Swagger
{
    /// <summary>
    /// 应用扩展
    /// </summary>
    public static class ApplicationBuilderExtend
    {
        /// <summary>
        /// 使用基础认证
        /// </summary>
        /// <param name="builder"></param>
        /// <returns></returns>
        public static IApplicationBuilder UseSwaggerBasicAuth(this IApplicationBuilder builder) {
            return builder.UseMiddleware<SwaggerBasicAuthMiddleware>();
        }
    }
}
